lp:ubuntu/vivid/ruby-net-ssh

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/vivid/ruby-net-ssh
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

11. By David Suarez

* Team upload.

[ David Suárez ]
* New upstream release.
* Drop 'fix-test-inheritance' patch; Fixed upstream.
* Add 'dont-test-cyphers-that-dont-have-fixtures' patch.
* debian/changelog: change urgency to medium.
* debian/copyright: update source url.
* debian/control:
  - Remove older Replaces, Breaks and Provides fields.
  - Add myself as uploader.

10. By Antonio Terceiro

* Team upload.
* No-changes rebuild to get rubygems-integration support for all
  interpreters

9. By David Suarez

* Team upload.
* New upstream release
* Revert drop of fix-test-inheritance.patch: Tests are still failing
  (closes: #718118)

8. By Laurent Bigonville

* Team upload.
* New upstream release
  - debian/patches/disable-rubygems-in-tests.patch: Refreshed
* debian/control: Drop the transitional packages
* debian/control: Bump Standards-Version to 3.9.4 (no further changes)
* debian/patches/skip-test-broken-on-1.8.patch: Also disable
  test_from_should_measure_bytesize_of_utf_8_string_correctly check with
  ruby 1.8
* debian/patches:
  - Drop disable-test1.patch: The test is passing with ruby-test-unit 2.5.5
  - Drop disable-config-tests.patch: The input config is now existing
  - Drop fix-test-inheritance.patch: Tests are running as expected now

7. By Paul van Tilburg

Bumped build-dependency on gem2deb to >= 0.3.0~.

6. By Antonio Terceiro

* New upstream release.
  + Fixes crash looking for an unknown constant
  Net::SSH::KnownHosts::SUPPORTED_TYPE (Closes: #675946)
* Added debian/patches/skip-test-broken-on-1.8.patch: a new test added in
  this release is broken on Ruby 1.8, so it has to be skipped.

5. By Paul van Tilburg

* New upstream release.
* debian/control:
  + Added myself to uploaders.
  + Bumped standards version to 3.9.3; no changes required.
  + Added a depend on ruby-test-unit; the one shipped with ruby1.8 is too
    old to run the tests.
  + Set the priority of the lib*-ruby transitional packages to extra.
* debian/copyright: converted to the Debian copyright format version 1.0.
* debian/patches:
  + Added patch disable-config-tests.patch to disable config tests for
    which the input config does not actually exist.
  + Added patch fix-test-inheritance.patch to fix some tests that use
    inheritance but forget to require the parent test file.

4. By Lucas Nussbaum <email address hidden>

* New upstream release.
* Switch to my @debian.org email-address.
* Switch from Conflicts to Breaks.
* debian/patches/disable-test1.patch: refreshed.

3. By Lucas Nussbaum

* Add an epoch. This is needed so that this package's libnet-ssh-ruby1.8
  can override the one from the libnet-ssh-ruby source package.
* Bump standards-version to 3.9.2. No changes needed.
* Change Depends to ruby | ruby-interpreter.

2. By Lucas Nussbaum

* Migrated to gem2deb packaging.
  + Rename source and binary package.
* Merged both libnet-ssh2-ruby and libnet-ssh-ruby (add transitional
  packages).
* The new version was tested to work with gnome-keyring as an SSH agent.
  Closes: #472427.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/wily/ruby-net-ssh
This branch contains Public information 
Everyone can see this information.

Subscribers